> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List blueprints hearted by an account

GET https://astropods.com/api/v1/accounts/{account}/hearts

Reference: https://docs.astropods.com/api-reference/astropods-api/accounts/list-blueprints-hearted-by-an-account

## Request

### Path parameters

- `account` (string, required) — Account name

### Query parameters

- `q` (string, optional) — Search blueprint name, description, or owner account
- `owner` (string, optional) — Only blueprints owned by these accounts (comma-separated names)
- `hearted_after` (string, optional) — Only blueprints hearted at or after this RFC 3339 time
- `hearted_before` (string, optional) — Only blueprints hearted before this RFC 3339 time
- `sort` (string, optional) — Sort: hearted (default), hearts, deploys, or name
- `cursor` (string, optional) — Opaque next_cursor from the previous page of the same sort
- `limit` (string, optional) — Page size (default 20, max 100)

## Response

### 200

OK

- `items` (list of HeartedAgent, optional)
- `next_cursor` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 404 Not Found Error

Not Found

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### HeartedAgent

- `account` (string, optional)
- `avatar_colors` (any, optional, nullable)
- `deploy_count` (long, optional)
- `description` (string, optional)
- `heart_count` (integer, optional)
- `hearted_at` (datetime, optional)
- `name` (string, optional)
- `visibility` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "account": "string",
      "avatar_colors": null,
      "deploy_count": 1,
      "description": "string",
      "heart_count": 1,
      "hearted_at": "2024-01-15T09:30:00Z",
      "name": "string",
      "visibility": "string"
    }
  ],
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/hearts"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/hearts';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/hearts"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/hearts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/hearts")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/hearts');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/hearts");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/hearts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```